#!/bin/sh
echo 'name: tls
version: 0.9.5
id: tls-0.9.5-d9d90009306a6b4df5a1f568fe33d459

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.MAC
                Network.TLS.Measurement Network.TLS.Packet Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.State Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/tls-0.9.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/tls-0.9.5
              /usr/local/lib
hs-libraries: HStls-0.9.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         bytestring-0.9.2.1-6ff76798e80a342ff74a1c8bcb3f4124
         cereal-0.3.5.2-d8fdfd2d762d81ca99ae81209aadd6ab
         certificate-1.2.3-d0e30f863b0dff0367778b4326b207a3
         crypto-api-0.10.2-dd2aed15ab5a877148f69cb46bf5d1a4
         cryptocipher-0.3.5-db2c322c98ddf62383024686caca1625
         cryptohash-0.7.5-3ab048df81d344986bc14ede7f54d53e
         mtl-2.1.1-801101765c9185fec3b8dbd5355f5550
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/tls-0.9.5/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/tls-0.9.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
